<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\Storage;
use Illuminate\Http\Request;
use App\Models\coupon;
use App\Models\Branding;
use Illuminate\support\str;
use Carbon\Carbon;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Collection;
use URL;
use Illuminate\Support\Facades\App;

class couponcontroller extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        
        $coupons = coupon::orderBy('id','DESC')->where('type_id',1)->get();

        return view('content.category.list', compact('coupons'));
        
    }  
  

    public function preview()
    {
        
        $coupons = coupon::get();


        return view('content.category.preview', compact('coupons')); 
        
        
    }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */


    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
        {
            
            $coupons = coupon::get();
            return view('content.category.add', compact('coupons'));
        
        }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show(Request $request)
    {
       $all_data=coupon::all();
      
       return view('content.category.preview')->with('coupon',$coupon);
      

    }

    public function store($number,$type,$amount)
    {

        $code = 'CAFE'.Str::random(5);

        $date = Carbon::now()->addDays(30)->toDateString();

        $count = coupon::where('phoneno',$number)->count();

if($type ==1)
{

        if($count > 0){
            
            if(($count+1) % 2 != 0){

                $value = rand(7, 10);

            }else{

                $value = rand(12, 15);

            }


        }else{

            $value = rand(7, 10);

        }
    }
else{                                       //  below code for reward
    if($count > 0)
    {
            
        if(($count+1) % 2 != 0){

            $value = rand(100, 130);

        }else{

            $value = rand(50, 70);

        }


    }else{

        $value = rand(100, 130);


    }
}
// }

        $todo_obj               =   new coupon(); 

        $todo_obj->uuid         =   str::uuid()->tostring();

        $todo_obj->coupon_code  =   Str::upper($code);

        $todo_obj->coupon_value =   $value;

        $todo_obj->phoneno      =   $number;
        $todo_obj->type_id      =   $type;
        $todo_obj->amount       =  $amount;

        $todo_obj->expiry_date  =   $date;

        $todo_obj->status      =   0;

        $todo_obj->count       =   $count+1;

        $todo_obj->save();

        return response()->json($todo_obj);
        
    }

  

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */


    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(coupon $coupon,Request $request,$uid )
    {
        
        $code = $request->code;
        $value = $request->value;
        $number = $request->number;  
        $date = $request->date;
    
        
        $todo_obj=coupon::find($uid);
        $todo_obj->coupon_code =$code;
        $todo_obj->coupon_value=$value;
        $todo_obj->phoneno = $number;
        $todo_obj->expiry_date =$date;

        $todo_obj->save();

        return redirect(route('list-coupon'));

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
   
    public function destroy(coupon $coupon,$id)
    {
        coupon::destroy($id);
        return redirect(route('list-coupon'));
    }

    function list()
    {
        return coupon::all();
    }



    function link($uuid)
    {
        $data = coupon::where('uuid',$uuid)->first();

        $showimage=Branding::orderBy('id', 'DESC')->get()->first();
    

        return view('content.category.link', compact('data','showimage'));
    }



    public function redeem()
    {
        // $coupon = coupon::where('id',$id)->first();

        $coupons = coupon::get();


        return view('content.category.redeem', compact('coupons'));
       
    }



    public function verifyCoupon(Request $request){

        $coupon = coupon::where('coupon_code',$request->code)->first();

        if(!is_object($coupon)){

            return redirect(route('redeem-coupon'))->withErrors(['msg' => 'Invalid  Code!']);

        }

        if(is_object($coupon)){
            
        
            if($coupon->status == 1){
                
               

                return redirect(route('redeem-coupon'))->withErrors(['msg' => ' Code is already redeemed!']);

            }

            

            $today = date('Y-m-d');

            if($today > $coupon->expiry_date){

                return redirect(route('redeem-coupon'))->withErrors(['msg' => ' Code is expired!']);


            }


            $coupon->status         =   1;
            $coupon->invoice_no     =   $request->invoice_no; 
            $coupon->save();

            return redirect(route('redeem-coupon'))->withErrors(['msg' => 'Code  Redeem Successfully!']);



        }


    }


    public function upload(){

        return view('content.category.upload_images');

    }


    public function background_image(Request $request)
    {
    
       
   $get_img=Branding::first();

if($request->file('background_image') )
{
    $background_image = $request->file('background_image');
    $filename = uniqid() . '.'. $background_image->getClientOriginalExtension();
    $path = public_path('images/background_images');
    $imagepath = $request->background_image->move($path, $filename);
}
if($request->file('logo_image'))
{
    $logo_image =$request->file('logo_image');
$filename1 = uniqid() . '.'. $logo_image->getClientOriginalExtension();
$path = public_path('images/logo_images');
$imagepath = $request->logo_image->move($path, $filename1);
}

// $background_image = $request->file('background_image');
// $filename = uniqid() . '.'. $background_image->getClientOriginalExtension();
// $path = public_path('images/background_images');
// $imagepath = $request->background_image->move($path, $filename);

// $logo_image =$request->file('logo_image');
// $filename1 = uniqid() . '.'. $logo_image->getClientOriginalExtension();
// $path = public_path('images/logo_images');
// $imagepath = $request->logo_image->move($path, $filename1);


if(is_object($get_img))
{
$get_img=Branding::find(1);

if($request->file('background_image'))
{
$get_img->background_image = $filename;
}
if($request->file('logo_image'))
{
    $get_img->logo_image = $filename1;
    
}
$get_img->save();
return view('content.category.upload_images');
}


$get_imgs = new Branding();
if($request->file('background_image'))
{
$get_imgs->background_image = $filename;
}
if($request->file('logo_image'))
{
    $get_imgs->logo_image = $filename1;
    
}

$get_imgs->save();
return view('content.category.upload_images');
    }

 
}

