<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Support\str;
use App\Http\Controllers\LanguageController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\AppsController;
use App\Http\Controllers\UserInterfaceController;
use App\Http\Controllers\CardsController;
use App\Http\Controllers\ComponentsController;
use App\Http\Controllers\ExtensionController;
use App\Http\Controllers\PageLayoutController;
use App\Http\Controllers\FormsController;
use App\Http\Controllers\TableController;
use App\Http\Controllers\PagesController;
use App\Http\Controllers\MiscellaneousController;
use App\Http\Controllers\AuthenticationController;
use App\Http\Controllers\ChartsController;
use App\Http\Controllers\couponcontroller;
use App\Http\Controllers\RewardController;
use App\Http\Controllers\AuthController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {

    return redirect(route('login'));

});

// Route::group(['middleware' => 'guest'], function(){

    Route::get('/login', [AuthController::class, 'showLoginForm'])->name('login')->middleware('throttle:5,1');
    Route::post('/login', [AuthController::class, 'login'])->name('login-check');
    Route::post('/logout', [AuthController::class, 'logout'])->name('logout');


// });

 

Route::group(['middleware' => 'auth'], function(){


/* Route Dashboards */
Route::get('dashboard', [DashboardController::class, 'dashboardAnalytics'])->name('dashboard');

Route::controller(couponcontroller::class)->group(function () { 

    Route::get('list-coupon', 'index')->name('list-coupon'); 

    Route::get('add-coupon', 'create')->name('add-coupon');
    // Route::post('save-coupon', 'store')->name('save-coupon');
    // Route::post('update-coupon/{uid}', 'update')->name('update-coupon');
    Route::get('destroy-coupon/{id}', 'destroy')->name('destroy-coupon');
    Route::get('preview-coupon', 'preview')->name('preview-coupon');
    Route::post('show-coupon', 'show')->name('show-coupon');
    Route::post('list-coupon', 'str')->name('list-coupon');
 
    Route::get('redeem-coupon', 'redeem')->name('redeem-coupon'); 

    Route::get('generate-coupon-code/{number}/{type}/{amount}', 'store')->name('generate-coupon-code'); 

    Route::post('verify-coupon-code', 'verifyCoupon')->name('verify-coupon-code'); 

    Route::get('upload-image', 'upload')->name('upload-image');   

    Route::post('background_image', 'background_image')->name('background_image'); 
    Route::get('show_image', 'get_image')->name('show_image'); 
    
});
  

Route::controller(RewardController::class)->group(function () {

    Route::get('list-reward', 'reward')->name('list-reward');
    Route::get('create-reward', 'create')->name('create-reward');
    Route::post('save-reward', 'store')->name('save-reward'); 
   

    
});

});

Route::get('link/{uuid}', [couponcontroller::class, 'link'])->name('link');
